package com.heyu.api.data.dao.system;
/**
* <p>
* 系统信息 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.system.SSystemEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SSystemDao extends BaseMapper<SSystemEntity> {


	SSystemEntity selectSSystemById(@Param("id")Long id);


	Long insertSSystem(SSystemEntity sSystem);


	Long insertOrUpdateSSystem(SSystemEntity sSystem);


	int updateSSystemById(SSystemEntity sSystem);


	int updateCoverSSystemById(SSystemEntity sSystem);


	int deleteSSystemById(@Param("id")Long id);


}